# List chats

`GET /api/v1/chats`

The user's Ask chats (v50), most recent first: `title`, `n` number of questions, `star`, `updated_at`, `preview` (short text of the last answer). Chats are personal — admins see only their own too.

## Query parameters

| Field | Type | Description |
|---|---|---|
| `q` | string | Contained in the title, a question or an answer. |
| `star` | integer | `1` = starred only. Values: `0`, `1` |
| `limit` | integer | Maximum (200). |

## Response

```json 200
{
  "items": [
    {
      "id": 4,
      "mode": "kural",
      "n": 1,
      "preview": "Gecikmiş 2 görev (sizin) Fiyat listesini güncelleyip gönder · 03.10.2026 · Hanımeli Etiket San. Tic. Ltd. Şti. Yeni hat devreye alma toplantısı · 07.1…",
      "star": false,
      "title": "Bu hafta geciken aksiyonlarım neler",
      "updated_at": "2026-10-09T14:42:45"
    },
    {
      "id": 1,
      "mode": "kural",
      "n": 2,
      "preview": "Son 7 günde gelen 12 e-posta Re: Tanışma görüşmesi ve teknik föyler · Nazlı Aydın · Ihlamur Matbaacılık A.Ş. Re: Tanışma görüşmesi ve teknik föyler ·…",
      "star": false,
      "title": "Günümü özetle",
      "updated_at": "2026-10-09T13:39:00"
    }
  ],
  "ok": true,
  "total": 4
}
```
